.\"	$NetBSD: fdc.4,v 1.6 2003/06/27 18:11:47 wiz Exp $
.\"
.\" Copyright (c) 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Klaus J. Klein.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 28, 1998
.Dt FDC 4 amiga
.Os
.Sh NAME
.Nm fdc
.Nd Amiga custom chip floppy disk controller device
.Sh SYNOPSIS
.Cd "fdc0 at mainbus0"
.Cd "fd* at fdc? unit ?"
.Sh DESCRIPTION
The
.Nm
device driver provides support for the mainboard floppy disk controller and
floppy disk drives on Amiga systems.
.Pp
The driver supports the following floppy diskette formats by using
particular partitions:
.Bl -tag -width Dv -offset indent -compact
.It "880KB " "3.5-inch " 11 sectors/track (``Amiga'') (a)
.It "1.76MB" "3.5-inch " 22 sectors/track (``Amiga'') (a)
.It "880KB " "5.25-inch" 11 sectors/track (``Amiga'') (a)
.It "720KB " "3.5-inch "  9 sectors/track (``MS-DOS'') (b)
.It "1.44MB" "3.5-inch " 18 sectors/track (``MS-DOS'') (b)
.It "720KB " "5.25-inch"  9 sectors/track (``MS-DOS'') (b)
.El
On systems equipped with floppy disk drives capable of using high-density
floppy diskettes,
the driver automatically detects whether the inserted floppy diskette is
either a double-density or a high-density medium.
.Sh DIAGNOSTICS
.Bl -diag
.It "fdc: unable to allocate DMA buffer"
The driver found the controller, but was unable to allocate the
amount of chip memory required for its DMA buffers.
.El
.Sh SEE ALSO
.Xr fdformat 1 ,
.Xr autoconf 4
.Sh BUGS
In order to detect a floppy disk drive's capability of using high-density
media, a high-density diskette has to be inserted for the duration of the
autoconfiguration phase of the drive.
.Pp
The
.Nm
driver supports neither the
.Xr fdformat 1
facility nor the
.Aq Pa sys/fdio.h
interface.
